#include "HalfEdge.h"

HalfEdge * HalfEdge::ccw_rotate_about_target()
{
	HalfEdge * he_dual = he_twin();
	if( he_dual == NULL ) return NULL;

	return he_dual->he_prev();
}

HalfEdge * HalfEdge::clw_rotate_about_target()
{
	HalfEdge * he = he_next()->he_twin();
	return he;
}

HalfEdge * HalfEdge::ccw_rotate_about_source()
{

	HalfEdge * he = he_prev()->he_twin();
	return he;
}

HalfEdge * HalfEdge::clw_rotate_about_source()
{
	HalfEdge * he = he_twin();
	if( he == NULL ) return NULL;
	return he->he_next();
}